Subject: Re: Tar Problems Under Cygwin
From: Soren A <[email-masked]>
To: [email-masked]
Date: Wed, 21 Aug 2002 15:26:48 +0000 (UTC)
Newsgroups: gmane.os.cygwin

"Anthony Massa" <[email-masked]> wrote around 21 Aug 2002 
news:[email-masked] about %s:

> This file was then placed on a CD-ROM.  When I tried to un-tar the file
> using the command:
> 
> $ tar xjvf f:/i386rdwr.tar.bz2
> 
> I get the following output error message:
> 
> f: unknown host
> tar (child): f\:/i386rdwr.tar.bz2: Cannot open: I/O error
> tar (child): Error is not recoverable: exiting now

You've received advice to mess with your mounts in order to fix a
problem known to happen with the tar that's packaged with Cygwin. That's
fine, but TMTOWTDI: just set the appropriate default options for tar
that (IMHO) make sense on an average Win32 system: 

TAR_OPTIONS=--force-local

Somewhere in your bash start-up files (~/.bashrc). Then pass ordinary
windows-style paths to tar freely. It won't choke on them anymore. 

  HTH,
   Soren A

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/